Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.ontology
Class InvalidTermException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.biojava.ontology.OntologyException
                  org.biojava.ontology.InvalidTermException

All Implemented Interfaces:
  Serializable

    public class InvalidTermException

extends OntologyException

Thrown to indicate that an ontology term is not acceptable or appropriate in a given context

Since:
  1.4
Author:
  Thomas Down, Matthew Pocock
See Also:
  Serialized Form

Constructor Summary
`InvalidTermException()`
`InvalidTermException(String message)`
`InvalidTermException(String message, Throwable cause)`
`InvalidTermException(Throwable cause)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InvalidTermException

    public InvalidTermException()

### InvalidTermException

    public InvalidTermException(String message)

### InvalidTermException

    public InvalidTermException(Throwable cause)

### InvalidTermException

    public InvalidTermException(String message,
                                Throwable cause)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD